# ReportResultService
> 区域监控报告结果

---

## countAllReportResults
> 计算监控结果数量

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportResultService/countAllReportResults`
- RPC：`rpc countAllReportResults(CountAllReportResultsRequest) returns (RPCCountResponse);`

**请求对象 (`CountAllReportResultsRequest`)**

```json
{
  "reportNodeId": "int64",
  "okState": "int32",
  "level": "string"
}
```

**响应对象 (`RPCCountResponse`)**

```json
{
  "count": "int64 // 数量"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportResultService/countAllReportResults" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findAllReportResults
> 查询某个对象的监控结果

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportResultService/findAllReportResults`
- RPC：`rpc findAllReportResults(FindAllReportResultsRequest) returns (FindAllReportResultsResponse);`

**请求对象 (`FindAllReportResultsRequest`)**

```json
{
  "type": "string",
  "targetId": "int64"
}
```

**响应对象 (`FindAllReportResultsResponse`)**

```json
{
  "reportResults": "[]ReportResult"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportResultService/findAllReportResults" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## listReportResults
> 列出单页监控结果

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportResultService/listReportResults`
- RPC：`rpc listReportResults(ListReportResultsRequest) returns (ListReportResultsResponse);`

**请求对象 (`ListReportResultsRequest`)**

```json
{
  "reportNodeId": "int64",
  "okState": "int32",
  "level": "string",
  "offset": "int64 // 读取位置",
  "size": "int64 // 数量，通常不能小于0"
}
```

**响应对象 (`ListReportResultsResponse`)**

```json
{
  "reportResults": "[]ReportResult"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportResultService/listReportResults" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
